%define lesstif 0

Summary:	The libraries needed to run the GNU Emacs text editor
Name:		emacs
%define		version	21.1
Version:	%{version}
Release:	10mdk
License:	GPL
Group:		Editors
URL:		http://www.gnu.org/software/emacs/

Source0:	ftp://ftp.gnu.org/pub/gnu/emacs-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/leim-%{version}.tar.bz2
Source2:	gnu-mini.png
Source3:	gnu-normal.png
Source4:	gnu-large.png
Source5:	emacs-config
Source6:	emacs-startup.elc.bz2

Patch0:		emacs-21.1-nmhlocation.patch.bz2
Patch1: 	emacs-20.5-loadup.patch.bz2
Patch2: 	emacs-20.6-ia64.patch.bz2
Patch3: 	emacs-20.6-ia64-2.patch.bz2
Patch4: 	emacs-20.6-ia64-3.patch.bz2
Patch5:		emacs-21.1-bzip2.patch.bz2
Patch6:		emacs-altmeta.patch.bz2
Patch7:		emacs-20.7-rpath.patch.bz2
Patch8:		emacs-21.1-fix-autoconf.patch.bz2

Patch20:	emacs-20.4-ppc-config.patch.bz2
Patch21:	emacs-20.4-ppc.patch.bz2
Patch22:	emacs-21.1-omit-nocombreloc-ppc.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	Xaw3d-devel
BuildRequires:	XFree86
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	gcc
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	ncurses-devel
BuildRequires:	libungif-devel
BuildRequires:	smtpdaemon
BuildRequires:	xpm-devel
%if %lesstif
BuildRequires:	lesstif-devel
%endif

Obsoletes:	gnus-emacs <= 5.9.0
Obsoletes:	emacs-pcomplete <= 2.4.2
Obsoletes:	eshell-emacs <= 2.4.2

Provides:	gnus-emacs = 5.9.0
Provides:	emacs-pcomplete = 1.1.1
Provides:	eshell-emacs = 2.1.2

%description
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news and more without
leaving the editor.

This package includes the libraries you need to run the Emacs editor, so
you need to install this package if you intend to use Emacs.  You also
need to install the actual Emacs program package (emacs-nox or emacs-X11).
Install emacs-nox if you are not going to use the X Window System; install
emacs-X11 if you will be using X.

%package el
Summary:	The sources for elisp programs included with Emacs
Group:		Editors
Requires:	emacs = %version-%release

%description el
Emacs-el contains the emacs-elisp sources for many of the elisp
programs included with the main Emacs text editor package.

You need to install emacs-el only if you intend to modify any of the
Emacs packages or see some elisp examples.

%package leim
Summary:	Emacs Lisp code for input methods for internationalization
Group:		Editors
Requires:	emacs = %version-%release

%description leim
The Emacs Lisp code for input methods for various international
character scripts.

%package nox
Summary:	The Emacs text editor without support for the X Window System
Group:		Editors
Requires:	emacs = %version-%release
PreReq: /usr/sbin/update-alternatives
Provides:	emacs-bin

%description nox
Emacs-nox is the Emacs text editor program without support for
the X Window System.

You need to install this package only if you plan on exclusively using
Emacs without the X Window System (emacs-X11 will work both in X and out
of X, but emacs-nox will only work outside of X).  You'll also need to
install the emacs package in order to run Emacs.

%package X11
Summary:	The Emacs text editor for the X Window System
Group:		Editors
Requires:	emacs = %version-%release
PreReq: /usr/sbin/update-alternatives
Provides:	emacs-bin

%description X11
Emacs-X11 includes the Emacs text editor program for use with the X
Window System (it provides support for the mouse and other GUI
elements). Emacs-X11 will also run Emacs outside of X, but it has a
larger memory footprint than the 'non-X' Emacs package (emacs-nox).

Install emacs-X11 if you're going to use Emacs with the X Window
System.  You should also install emacs-X11 if you're going to run
Emacs both with and without X (it will work fine both ways). You'll
also need to install the emacs package in order to run Emacs.

%prep
%setup -q -b 1
perl -p -i -e 's/ctags/gctags/g' etc/etags.1
%patch0 -p1 -b .nmhlocation
%patch1 -p1 -b .loadup
#patch2 -p1 -b .ia64
%patch3 -p1 -b .ia64-2
#%patch4 -p1 -b .ia64-3
%patch5 -p1 -b .bzip2
%patch6 -p0 -b .altmeta
%patch7 -p0 -b .rpath
%patch8 -p1 -b .autoconf

%ifarch ppc
%patch20 -p1
%patch21 -p1
%patch22 -p1
%endif

# clean out remnants of patching
find . -name "*.*.*" -exec rm -f {} \;

echo "lesstif_conf= %{?%lesstif:--with-x-toolkit=motif}"

%build

PUREDEF="-DNCURSES_OSPEED_T"
XPUREDEF="-DNCURSES_OSPEED_T"
libtoolize --force --copy
autoconf
CONFOPTS="--prefix=%{_prefix} --libexecdir=%{_libdir} --sharedstatedir=/var --with-gcc --with-pop --mandir=%{_mandir} --infodir=%{_infodir}"

#Build binary without X support
[ -d build-nox ] && rm -rf build-nox
mkdir build-nox && cd build-nox
CFLAGS="$RPM_OPT_FLAGS $PUREDEF" LDFLAGS=-s \
  ../configure ${CONFOPTS} --with-x=no ${RPM_ARCH}-mandrake-linux
%make
cd ..

#Build binary with X support
[ -d build-withx ] && rm -rf build-withx
mkdir build-withx && cd build-withx
CFLAGS="$RPM_OPT_FLAGS $XPUREDEF" LDFLAGS=-s \
  ../configure ${CONFOPTS} --with-x-toolkit %{?%lesstif:--with-x-toolkit=motif} ${RPM_ARCH}-mandrake-linux
%make
cd ..

# Byte recompile the files that we have modified with patches
(cd lisp; ../build-nox/src/emacs -batch -f batch-byte-recompile-directory .)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

# Menu support
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-X11 << EOF
?package(%{name}-X11): needs=x11 section="Applications/Editors" icon=emacs.png title=Emacs longtitle="Powerfull editor" command=emacs
EOF
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/emacs.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/emacs.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/emacs.png

PATH=$PATH:/sbin
ARCHDIR=${RPM_ARCH}-mandrake-linux
%old_makeinstall -C build-withx sharedstatedir=$RPM_BUILD_ROOT/var

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
install -m755 build-nox/src/emacs $RPM_BUILD_ROOT%{_bindir}/emacs-nox
install -m644 build-nox/etc/DOC-%version.1 $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/etc/

mkdir -p $RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp

mv $RPM_BUILD_ROOT%{_mandir}/man1/ctags.1 $RPM_BUILD_ROOT%{_mandir}/man1/gctags.1
mv $RPM_BUILD_ROOT%{_bindir}/ctags $RPM_BUILD_ROOT%{_bindir}/gctags

rm -f $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/etc/{emacs.1,ctags.1,etags.1,sex.6}

#
# create file lists
#

find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp \
  -name '*.elc' -print | sed "s^$RPM_BUILD_ROOT^^" > core-filelist
find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp \
  -type d -printf "%%%%dir %%p\n" | sed "s^$RPM_BUILD_ROOT^^" >> core-filelist
find $RPM_BUILD_ROOT%{_libdir}/emacs/%{PACKAGE_VERSION} -type f | \
  sed "s^$RPM_BUILD_ROOT^^" | grep -v movemail >> core-filelist

# Include .el files which lack a corresponding byte compiled form
for I in `find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp \
          -name '*.el'`; do
  if [ ! -e `dirname $I`/`basename $I .el`.elc ]; then 
    echo $I | sed "s^$RPM_BUILD_ROOT^^"
  fi
done >> core-filelist

find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/etc/ -type f \
  -print | fgrep -v DOC | sed "s^$RPM_BUILD_ROOT^^" >> core-filelist

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/emacs
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.el
(cd $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp; ln -s ../../../../..%{_sysconfdir}/emacs/site-start.el)

# Include all non elisp files which emacs installs
find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp -type f | \
  sed "s^$RPM_BUILD_ROOT^^" | grep -v "\.el\(c\)\?$" >> core-filelist

find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/leim \
  -name '*.elc' -print | sed "s^$RPM_BUILD_ROOT^^" > leim-filelist
find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/leim \
  -mindepth 1 -type d -printf "%%%%dir %%p\n" | \
  sed "s^$RPM_BUILD_ROOT^^" >> leim-filelist

#
# be sure to exclude some files which are need in core package
#
for I in `find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp \
          -name '*.el'`; do
  if [ -e `dirname $I`/`basename $I .el`.elc ]; then 
    echo $I | sed "s^$RPM_BUILD_ROOT^^"
  fi
done > el-filelist

find $RPM_BUILD_ROOT%{_datadir}/emacs/%{PACKAGE_VERSION}/leim \
  -name '*.el' -print | sed "s^$RPM_BUILD_ROOT^^" |\
  grep -v "leim\/leim-list.el" >> el-filelist

chmod -t $RPM_BUILD_ROOT%{_bindir}/emacs*

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
cat > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Emacs << EOF
Emacs*font: -*-fixed-medium-r-normal-*-*-140-75-75-*-*-iso8859-15
emacs*foreground:                       Wheat
emacs*background:                       DarkSlateGray
emacs*region.attributeForeground:       White
emacs*region.attributeBackground:       SteelBlue
emacs*pointerColor:                     Orchid
emacs*cursorColor:                      Orchid
EOF

mkdir $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf build-nox
rm -rf build-withx

%define info_files ada-mode autotype ccmode cl dired-x ebrowse ediff efaq emacs emacs-mime eshell eudc forms gnus idlwave info message mh-e pcl-cvs reftex sc speedbar vip viper widget woman

%post

for f in %{info_files}; do
  %{__install_info} %{_infodir}/$f.bz2 %{_infodir}/dir --section="GNU Emacs"
done

%preun

if [ "$1" = 0 ]; then
for f in %{info_files}; do
  %{__install_info} --delete %{_infodir}/$f.bz2 %{_infodir}/dir \
    --section="GNU Emacs"
done
fi

%post nox

update-alternatives --install %{_bindir}/emacs emacs %{_bindir}/emacs-nox 10

if [ ! -f /usr/bin/emacs ]; then
    update-alternatives --auto emacs
fi

%postun nox

if [ ! -f %{_bindir}/emacs-nox ]; then
    /usr/sbin/update-alternatives --remove emacs %{_bindir}/emacs-nox
fi

%post X11

/usr/sbin/update-alternatives --install %{_bindir}/emacs emacs %{_bindir}/emacs-%{version} 21

if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi

%postun X11

if [ "$1" = 0 ]; then
    if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi
fi

if [ ! -f %{_bindir}/emacs-%{version} ]; then
    /usr/sbin/update-alternatives --remove emacs %{_bindir}/emacs-%{version}
fi

%triggerpostun X11 -- emacs-X11

if grep -q /usr/bin/emacs-20.7 /var/lib/rpm/alternatives/emacs && [ ! -f /usr/bin/emacs-20.7 ]; then
    /usr/sbin/update-alternatives --remove emacs %{_bindir}/emacs-20.7
fi

if [ ! -f /usr/bin/emacs ]; then
    /usr/sbin/update-alternatives --auto emacs
fi

%files -f core-filelist
%defattr(-,root,root)
%doc BUGS README
%config(noreplace) %{_sysconfdir}/emacs/site-start.el
%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp/site-start.el
%{_bindir}/b2m
%{_bindir}/emacsclient
%{_bindir}/etags
%{_bindir}/gctags
%{_bindir}/rcs-checkin
%{_mandir}/*/*
%{_infodir}/*
%dir %{_sysconfdir}/emacs/site-start.d

%dir %{_libdir}/emacs
%dir %{_libdir}/emacs/site-lisp
%dir %{_libdir}/emacs/%{PACKAGE_VERSION}
%dir %{_libdir}/emacs/%{PACKAGE_VERSION}/%_arch-mandrake-linux
%attr(2755,root,mail) %{_libdir}/emacs/%{PACKAGE_VERSION}/%_arch-mandrake-linux/movemail

%dir %{_datadir}/emacs/site-lisp
%dir %{_datadir}/emacs/%{PACKAGE_VERSION}
%dir %{_datadir}/emacs/%{PACKAGE_VERSION}/site-lisp
%dir %{_datadir}/emacs/%{PACKAGE_VERSION}/leim

# handled by dynamically generated file lists
#%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp/*.elc
#%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp/*/*.elc
#%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp/*.elc
#%{_datadir}/emacs/20.2/lisp/mail/*.elc
#%{_datadir}/emacs/%{PACKAGE_VERSION}/etc

%files -f el-filelist el
%defattr(-,root,root)
# handled by dynamically generated file lists
#%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp/*.el
#%{_datadir}/emacs/%{PACKAGE_VERSION}/lisp/*/*.el
#%{_datadir}/emacs/%{PACKAGE_VERSION}/leim/*.el
#%{_datadir}/emacs/%{PACKAGE_VERSION}/leim/*/*.el

%files -f leim-filelist leim
%defattr(-,root,root)
%{_datadir}/emacs/%{PACKAGE_VERSION}/leim/leim-list.el
# handled by dynamically generated file lists
#%{_datadir}/emacs/%{PACKAGE_VERSION}/leim/*.elc
#%{_datadir}/emacs/%{PACKAGE_VERSION}/leim/*/*.elc

%files nox
%defattr(-,root,root)
%{_bindir}/emacs-nox
%{_datadir}/emacs/%{PACKAGE_VERSION}/etc/DOC-%version.1

%files X11
%defattr(-,root,root)
%{_bindir}/emacs-%{version}
%{_menudir}/emacs-X11
%{_iconsdir}/emacs.png
%{_miconsdir}/emacs.png
%{_liconsdir}/emacs.png
/usr/X11R6/lib/X11/app-defaults/Emacs
%{_datadir}/emacs/%{PACKAGE_VERSION}/etc/DOC-X-%version.1

%changelog
* Sat Mar  2 2002 Frederic Lepied <flepied@mandrakesoft.com> 21.1-10mdk
- corrected upgrade (update-alternatives pb)

* Thu Feb 28 2002 Juan Quintela <quintela@mandrakesoft.com> 21.1-9mdk
- Gnus info files back :)

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 21.1-8mdk
- BuildRequires

* Sun Feb  3 2002 Frederic Lepied <flepied@mandrakesoft.com> 21.1-7mdk
- rebuild

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 21.1-6mdk
- xpm -> png icons

* Mon Nov 26 2001 Stew Benedict <sbenedict@mandrakesoft.com> 21.1-5mdk
- patch to use autoconf-2.13, PPC patch, no combreloc linker option

* Mon Nov 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-4mdk
- removed lesstif support as some functions are unimplemented (for removing
menu-bar).

* Fri Nov 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-3mdk
- build with lesstif (Thomas LECLERC).
- turn on color event in term mode (Chmouel)
- correct the (de)compression activation.
- use %%old_makeinstall

* Tue Oct 23 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-2mdk
- obsoletes: gnus-emacs <= 5.9.0
 obsoletes: emacs-pcomplete <= 2.4.2
 obsoletes: eshell-emacs <= 2.4.2

* Mon Oct 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 21.1-1mdk
- 21.1

* Fri Oct 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-21mdk
- rebuild to fix locale problem.

* Thu Oct 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-20mdk
- rebuild as it seems that the upload has broken the archives...

* Thu Oct 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-19mdk
- correct nox version to not require /usr/X11R6/lib/X11/locale/locale.alias (#5719).

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20.7-18mdk
- Correct font for Euro support.

* Tue Jul 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-17mdk
- fixed build

* Tue Apr  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-16mdk
- added loading of jka-compr, save-place and auto-show to default config.

* Wed Mar 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-15mdk
- oops. really apply patches.

* Tue Mar 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 20.7-14mdk
- corrected mh patch (#2010)

* Mon Feb 26 2001 Francis Galiegue <fg@mandrakesoft.com> 20.7-13mdk
- Patch merge from RHm fixes build on ia64

* Sun Jan 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20.7-12mdk
- Rebuild with last ncurses.

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 20.7-11mdk
- modify emacs-config (source5): as show-paren-mode without arg is a toggle,
using (show-paren-mode t) is better

* Sun Oct 15 2000 David BAUDENS <baudens@mandrakesoft.com> 20.7-10mdk
- Fix build for PPC

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20.7-9mdk
- Don't apply patch #21 (PPC)

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 20.7-8mdk
- really remove gnus info files

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 20.7-7mdk
- remove gnus info files (now in package gnus, maybe also remove gnus from emacs?)

* Thu Aug 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-6mdk
- config file in noreplace mode.
- laod config files in /etc/emacs/site-start.d

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-5mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-4mdk
- removed rpath.
- BM
- corrected resources for cursor and pointer.

* Mon Jul 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-3mdk
- removed trigger scripts

* Fri Jul  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-2mdk
- corrected resources to be used only for emacs and not for xemacs.
- use update-alternatives

* Thu Jun 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.7-1mdk
- 20.7

* Fri May 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20.6-11mdk
- Reput X ressources in odd directory (make XEmacs horrible)

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 20.6-10mdk
- PPC patches

* Tue May 23 2000 David BAUDENS <baudens@mandrakesoft.com> 20.6-9mdk
- Fix app-defaults

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-8mdk
- put all size of icons.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-7mdk
- security patch.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-6mdk
- rebuild to correct bad paths.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-5mdk
- colors from resource file not from lisp file.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20.6-4mdk
- Fix menu.
- Add Xaw3d-devel as buildrequires.

* Sat Apr  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-3mdk
- added a patch to support more than 5 buttons (David M. Cooke).
- changed default setup.
- menu

* Tue Mar  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-2mdk
- map META on ALT.

* Mon Feb 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 20.6-1mdk
- version 20.6.
- move .emacs stuff from etcskel to /etc/emacs/site-start.el

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 20.5-3mdk
- corrected expand.el bug.
- remove bit t on emacs executable.

* Mon Dec 13 1999 Frederic Lepied <flepied@mandrakesoft.com>
- bunzip info files

* Mon Dec 6 1999 Frederic Lepied <flepied@mandrakesoft.com>
- 20.5

* Mon Nov 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/i386/%\_arch/.

* Tue Nov 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/gz/bz2/

* Tue Nov 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Clean up specs and %post.

* Mon Jul 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 20.4
- remove the emacs shell script; it's no longer needed.
- adapt patches

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix shell-script typo bugs.

* Wed May 26 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- move the /usr/bin/emacs script to the emacs package

* Wed May 26 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- s/arch-redhat-linux/arch-mandrake-linux
- replace emacs with a shell script that runs either emacs-nox or
  emacs-20.3
- s/emacs/emacs-20.3/ in emacs.wmconfig (wmconfig is always X)

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.
- Bzip2 info/man pages.
- Path to handle bzip2 on info files.

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- updated mh-utils emacs lisp file to match our nmh path locations

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- linker scripts hack to make it build on the alpha

* Fri Jan  1 1999 Jeff Johnson <jbj@redhat.com>
- add leim package (thanks to Pavel.Janik@inet.cz).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- backed up changes to uncompress.el (it seems that the one from 20.2 works
  much better)

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /tmp race in rcs2log

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 20.3

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add --with-pop to X11 compile.
- include contents of /usr/share/.../etc with main package.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- fix signals when linked with glibc on non-Intel architectures
  NOTE: This patch is not needed with emacs >20.2

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/lib/emacs/20.2/*-mandrake-linux directory in the filelist

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- alpha started to like emacs-nox again :-)

* Thu Nov  6 1997 Michael Fulbright <msf@redhat.com>
- alpha just doesnt like emacs-nox, taking it out for now

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added multibyte support back into emacs 20.2
- added wmconfig for X11 emacs
- fixed some errant buildroot references

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- joy a new version of emacs! Of note - no lockdir any more.
- use post/preun sections to handle numerous GNU info files

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- stopped stripping it as it seems to break things

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- turned off ecoff support on the Alpha (which doesn't build anymore)

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved ctags to gctags to fit in the more powerful for C (but less
  general) exuberant ctags as the binary /usr/bin/ctags and the
  man page /usr/man/man1/ctags.1
